#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  FLAC-1.5.0

- Next

  gavl-1.4.0

- Up
- Home

# frei0r-3.1.1

## Introduction to Frei0r

Frei0r is a minimalistic plugin API for video effects. Note that the 0 in the name is a zero, not a capital letter o.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/dyne/frei0r/archive/v3.1.1/frei0r-3.1.1.tar.gz

- Download MD5 sum: 2671fa62f42110fb9c616a35edcc9854

- Download size: 936 KB

- Estimated disk space required: 54 MB

- Estimated build time: 0.4 SBU

### Frei0r Dependencies

#### Recommended

gavl-1.4.0 and opencv-4.13.0

#### Optional

Doxygen-1.17.0

## Installation of frei0r

Install Frei0r by running the following commands:

    mkdir -vp build &&
    cd        build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -W no-dev .. &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D WITHOUT_OPENCV=TRUE`: This option instructs the make procedure to disable building plugins dependent upon opencv.

`-D WITHOUT_GAVL=TRUE`: This option instructs the make procedure to disable building plugins dependent upon gavl.

## Contents

Installed Program: None
Installed Libraries: Over 150 video effects plugins
Installed Directories: /usr/lib/frei0r-1

- Prev

  FLAC-1.5.0

- Next

  gavl-1.4.0

- Up
- Home